//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F0XXX ------------------
//-----------  DC-DC    STM32F0XXX --------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#ifndef __main_h
#define __main_h

//   .     : 20,  48 / 20 = 2400
#define TimerPeriod     2400 

#define ADC1_DR_Address    0x40012440
#define TIM1_DR_Address    TIM1_BASE+0x24

                            //    ( 1 )
//#define RX_Buffer_Size  256

#include "stm32f10x.h"
#include "M95_Drive.h"
//#include "M95_Types.h"
#include "M95_hard.h"


void main();
void TIM_Config(void);
void ADC1_DMA_Config(void);

void Key_init(void);

uint16_t porta, portb;

int16_t Power;                 //   

int16_t VoltageTable[50];      //   

int16_t RX_LEN;                 //   


uint32_t Tranfer_ADDR;         //   ( )
uint8_t Tranfer_LEN;           //    ( )



extern void Built_Test(Message_TypeDef *A, Message_TypeDef *B);
extern __INLINE void SYSTIC_Start (uint32_t Value);
extern __INLINE void SYSTIC_Stop (void);

extern void Check_CPIN (void);
extern void Built_Message(Message_TypeDef *A, Message_TypeDef *B);
extern void Check_SMS_Service_Center(void);
extern void Wait_Net_Registration (void);
extern void SMS_Sending (void);

#endif  // __main_h

//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F0XXX ------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2013         ----------------------------
//------------------------------------------------------------------------------