//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--           --
//- :          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//------------- :  ,   --------------------
//------------------------------------------------------------------------------

#include "stm32f10x.h"
#include "M95_Variables.h"
#include "M95_Strings.h"

extern void Usart_Tx(uint32_t String, uint16_t Len);
extern void SYSTIC_Start (uint32_t Value);
extern void SYSTIC_Stop (void);

extern void Built_Message (Message_TypeDef* A, Message_TypeDef* B);
extern void Built_Write(Message_TypeDef* A, Message_TypeDef* B, Message_TypeDef* C);
extern void State_Mishine_Copy(uint8_t NewState);          //    (     )

// ,      
extern void Echo_Ok (void);
void Terminate_Connection_Enter (void);
void Terminate_Connection (void);

//    
State_Mashine_TypeDef2 const Terminate_Connection_Stage = {2, (void*) &Building_String_TX, (void*) &message_OK,
                                                      (void*) &Echo_Ok, (void*) &Terminate_Connection};

void Terminate_Connection_Enter (void)
{
//  
SYSTIC_Stop();
State=4;  
State_Mishine_Copy(State);  

//   
Built_Message(&Building_String_TX, &message_Terminate_Call);

Condition_Flag=1;
Echo_Correct_Flag = 1;

Usart_Tx((uint32_t) Building_String_TX.TEXT, Building_String_TX.LEN);

SYSTIC_Start(WaitTime);
}


void Terminate_Connection (void)
{
//   ,    
SYSTIC_Stop();
State=3;  
State_Mishine_Copy(State);

//Condition_Flag=2;
}

//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--------------------------           2013         ----------------------------
//------------------------------------------------------------------------------