//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--           --
//- :          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#include "main.h"

void Set_POWER (void);
void Config_POWER (void);
void Set_Detection (void);

void main()
{
M95_Init();

USART_TX_Buzy_FLAG = 0;

//  -,  
Check_CPIN();

//     
Wait_Net_Registration();

// ,      
Config_POWER();

while(1)
{
}

}

extern uint8_t Nomber_of_rings;
void Set_POWER (void)
{
// /   
if ((GPIOB->IDR&GPIO_Pin_7)!=0)
{
  GPIOB->BRR = GPIO_Pin_7;
  Nomber_of_rings=1;
}
else
{
  GPIOB->BSRR = GPIO_Pin_7;
  Nomber_of_rings=2;
}
}

void Config_POWER (void)
{
// ,   
  GPIO_InitTypeDef GPIO_InitStructure;

  //  
  RCC_APB2PeriphClockCmd (RCC_APB2Periph_GPIOB | RCC_APB2Periph_AFIO, ENABLE);  

  //  JTAG
  GPIO_PinRemapConfig(GPIO_Remap_SWJ_JTAGDisable, ENABLE);

  GPIOB->BRR = GPIO_Pin_7; //  "0"  
  GPIOB->BSRR = GPIO_Pin_2; //  "1"  
  
  //  
  GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_7 | GPIO_Pin_2;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP ;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(GPIOB, &GPIO_InitStructure); 
  
  Prime_Nomber_Flag=0;
}

void Set_Detection (void)
{
  GPIOB->BRR = GPIO_Pin_2;
}

//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--------------------------           2013         ----------------------------
//------------------------------------------------------------------------------